Windows上的TensorFlow:“此平台上不受支持的轮子”错误
tensorflow
5
0

很高兴知道Tensorflow已可用于Windows,并且我们不必使用Docker。

我尝试按照说明进行安装,但出现此错误。

pip install --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow-0.12.0rc0-cp35-cp35m-win_amd64.whl tensorflow-0.12.0rc0-cp35-cp35m-win_amd64.whl不是该平台上的支撑轮。

该错误是什么意思?

我正在运行最新版本的Python。

python --version Python 3.5.2

参考资料:
Stack Overflow
收藏
评论
共 3 个回答
高赞 时间 活跃

这很可能是64位与32位的问题。预先构建的TensorFlow pip软件包仅是64位,但Python.org上的Python 3.5.2的默认版本是32位。您可以从此处下载64位版本(选择“ Windows x86-64”选项之一)。

收藏
评论

仅适用于Python 3.5.x,不适用于3.6。

您可以使用以下命令快速创建3.5环境:conda create -n tensorflow python = 3.5

收藏
评论

您必须具有3.5.x版本的Python。 3.6版将无法使用。如果您安装了包含Python 3.6的Anaconda,则需要将其Python降级为3.5.2。

以管理员身份打开Anaconda Prompt ,然后运行:

conda install python=3.5.2

安装完成后,您可以在tensorflow网站执行其余步骤。

收藏
评论
新手导航
  • 社区规范
  • 提出问题
  • 进行投票
  • 个人资料
  • 优化问题
  • 回答问题

关于我们

常见问题

内容许可

联系我们

@2020 AskGo
京ICP备20001863号